class templaterFunc {
	createNewFile(tp, templatelist) {
		const fileName = await tp.system.prompt("File name");
		const templateName = await tp.system.suggester(templatelist, templatelist);
		return tp.file.create_new(tp.file.find_tfile("Template " + templateName), fileName, tp.file.folder())
	}
	
}